Installing Firefox and now ended up installing latest glibc


 
Thread Tools Search this Thread
Operating Systems Linux Installing Firefox and now ended up installing latest glibc
# 1  
Old 08-02-2007
Installing Firefox and now ended up installing latest glibc

Hi all,

I wanted to install the latest version of firefox 2 but it seems when I attempt to install it, it seems to be saying it is looking for c libraries version 2.3? I believe I currently have an older version of the c libraries. I am currently running Sun's JDS Linux 2003. My Mozilla web browser seems to have packed up and I ended up using Nautilus file and directory navigator to do my web browsing so I thought I'd try using Firefox 2. I downloaded glibc version 2.6 but I have been told there are problems or bugs and that 2.3 is a more stable version, correct?

when I attempt to install glibc 2.6 I think its complaining about some sort of target directory using --prefix argument, but I am slightly lost. I want to make sure I get this right as I don't want to reinstall linux and wine from src :s
If I upgrade glibc then would I have to upgrade the kernel and other packages like gcc, binutils etc?

Can someone who has done this before provide me with details how they went about it (rpm or src) and what other installations they did?

Your help and guidance is much appreciated.

Mani
# 2  
Old 08-09-2007
ok....

apologies if i started off with what seems like a difficult topic.

so far i have managed to install the latest binutils, coreutils, make, texinfo and all works fine. The --version shows the latest is installed. Now... i need to install the latest GCC compiler. The one that seems to be recommended is version 4.2.1. I tried to install this and i got as far as configuring it but when i type make it displays all this info but seems to fail at one point later on. It displays the following

/tmp/ccacyMlE.s: Assembler messages:
/tmp/ccacyMlE.s:72: Error: no such 386 instruction: `stmxcsr'
/tmp/ccacyMlE.s:90: Error: no such 386 instruction: `ldmxcsr'
/tmp/ccacyMlE.s:119: Error: no such 386 instruction: `fxsave'
make[3]: *** [crtfastmath.o] Error 1
make[3]: Leaving directory `/usr/src/gcc-4.2.1/host-i686-pc-linux-gnu/gcc'
make[2]: *** [all-stage1-gcc] Error 2
make[2]: Leaving directory `/usr/src/gcc-4.2.1'
make[1]: *** [stage1-bubble] Error 2
make[1]: Leaving directory `/usr/src/gcc-4.2.1'
make: *** [all] Error 2

anyone know where i have gone wrong or what i need to do to correct this?

thanks again

Mani
Login or Register to Ask a Question

Previous Thread | Next Thread

9 More Discussions You Might Find Interesting

1. Ubuntu

Installing latest Ubuntu on my desktop

I wish to install the latest ubuntu on my desktop. How do I go about doing this ? Also how do I create the superuser or admin once the installation is done ? (3 Replies)
Discussion started by: sundaresh
3 Replies

2. UNIX for Dummies Questions & Answers

Error while installing glibc 2.16.0 on ubuntu 12.04 LTS

I come across the following error while configuring glibc 2.16.0 on ubuntu 12.04 LTS:"These critical programs are missing or too old: ld". Please suggest me a solution for the same at the earliest. (1 Reply)
Discussion started by: nov_2012
1 Replies

3. SuSE

Installing SW asking me to update GLIBC..HELP!

Hi, I am trying to install OpenFT and got the following message: usmlva0001tsrv:/mnt/iso/linuxi64 # ./install.all error: Failed dependencies: libc.so.6.1()(64bit) is needed by PCMX-6.0A90-05.ia64 libc.so.6.1(GLIBC_2.2)(64bit) is needed by PCMX-6.0A90-05.ia64... (1 Reply)
Discussion started by: 300zxmuro
1 Replies

4. UNIX for Dummies Questions & Answers

Help installing GLIBC on SuSe 11.

I need help updating the glibc in my suse box. I have no clue how to do this and I am afraid of breaking this box. Can someone please give me some direction? Thanks! (2 Replies)
Discussion started by: OptimusPrime1
2 Replies

5. Solaris

Installing firefox on solaris 10

I wondered how I could install firefox-11.0.en-US.solaris-10-fcs-i386.tar.bz2 for solaris 10 ? I read to unwind. Bz2 i need another software how can i instal this package? i'tried with the command GZIP but i dont found ./install? i tried also without terminalbut I do not know how to install... (11 Replies)
Discussion started by: herbich1985
11 Replies

6. Red Hat

Installing Firefox 4 help

How would I go about installing Firefox 4? I really don't like firefox 5 or 6. (2 Replies)
Discussion started by: cokedude
2 Replies

7. UNIX and Linux Applications

Installing Firefox on RH 4.7

As part of requirement to install oracle I tried to install firefox and got the following error. libpangocairo-1.0.so.0 cannot open shared object file: No such file or directory from "ldd firefox-bin" Appearantly I am also missing libxul.so libmozjs.so libxpcom.so ... (1 Reply)
Discussion started by: jxh461
1 Replies

8. Ubuntu

Re Installing windows XP after installing KUBUNTU

Hi I have dual operating system i.e Win XP and KUBUNTU. Now my windows XP is corrupted and i want to reinstall Win XP. So i just want to know Shall i have to reinstall Linux also or i can only reinstall win xp without affecting linux installation. Thanks Sarbjit (3 Replies)
Discussion started by: sarbjit
3 Replies

9. Solaris

"NO HARD Disks found" while installing Solaris 10 (latest-6/06) on Poweredge 2950.

We get the error "NO HARD Disks found" while installing Solaris 10 (latest-6/06) on Poweredge 2950. We found that the LSISAS1068 driver is needed for this. But the provision is given only to install the driver using the floppy (in downloads site). But we dont have a floppy drive in our system... (12 Replies)
Discussion started by: S.Vishwanath
12 Replies
Login or Register to Ask a Question

Featured Tech Videos